org.apache.felix.connect

## Class PojoServiceRegistryFactoryImpl

- java.lang.Object
- - org.apache.felix.connect.PojoServiceRegistryFactoryImpl

All Implemented Interfaces:
  PojoServiceRegistryFactory, org.osgi.framework.launch.FrameworkFactory

    public class PojoServiceRegistryFactoryImpl
    extends Object
    implements PojoServiceRegistryFactory, org.osgi.framework.launch.FrameworkFactory

### Field Summary

### Fields inherited from interface org.apache.felix.connect.launch.PojoServiceRegistryFactory

`BUNDLE_DESCRIPTORS`

### Constructor Summary

Constructors
Constructor and Description
`PojoServiceRegistryFactoryImpl()`

### Method Summary

Methods
`org.osgi.framework.launch.Framework` `newFramework(Map<String,String> configuration)`
`PojoServiceRegistry` `newPojoServiceRegistry(Map<String,Object> configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PojoServiceRegistryFactoryImpl

    public PojoServiceRegistryFactoryImpl()

### Method Detail

#### newPojoServiceRegistry

    public PojoServiceRegistry newPojoServiceRegistry(Map<String,Object> configuration)
                                               throws Exception

Specified by:
  `newPojoServiceRegistry` in interface `PojoServiceRegistryFactory`
Throws:
  `Exception`

#### newFramework

    public org.osgi.framework.launch.Framework newFramework(Map<String,String> configuration)

Specified by:
  `newFramework` in interface `org.osgi.framework.launch.FrameworkFactory`